osmo-gmr 0.2.104-2b98 Osmocom GMR-1

Files | Functions
FACCH9 channel coding
GMR-1 Layer 1 library » Channel coder / decoders

## Files
file | facch9.h
| Osmocom GMR-1 FACCH9 channel coding header.
file | facch9.c
| Osmocom GMR-1 FACCH9 channel coding implementation.

## Functions
void | gmr1_facch9_encode (ubit_t *bits_e, const uint8_t *l2, const ubit_t *bits_sacch, const ubit_t *bits_status, const ubit_t *ciph)
| Stateless GMR-1 FACCH9 channel coder. More...
int | gmr1_facch9_decode (uint8_t *l2, sbit_t *bits_sacch, sbit_t *bits_status, const sbit_t *bits_e, const ubit_t *ciph, int *conv_rv)
| Stateless GMR-1 FACCH9 channel decoder. More...

## Detailed Description

## Function Documentation

## ◆ gmr1_facch9_decode()

int gmr1_facch9_decode | ( | uint8_t * | l2,
|  | sbit_t * | bits_sacch,
|  | sbit_t * | bits_status,
|  | const sbit_t * | bits_e,
|  | const ubit_t * | ciph,
|  | int * | conv_rv
| ) |  |

Stateless GMR-1 FACCH9 channel decoder.

Parameters

  [out] | l2 | L2 packet data (38 bytes, last nibble unused)
  [out] | bits_sacch | 10 saach bits demultiplexed
  [out] | bits_status | 4 status bits demultiplexed
  [in] | bits_e | 662 encoded bits of one NT9 burst
  [in] | ciph | 658 bits of cipher stream (can be NULL)
  [out] | conv_rv | Return of the convolutional decode (can be NULL)

Returns
  0 if CRC check pass, any other value for fail.

References gmr1_deinterleave_intra(), and gmr1_scramble_sbit().

## ◆ gmr1_facch9_encode()

void gmr1_facch9_encode | ( | ubit_t * | bits_e,
|  | const uint8_t * | l2,
|  | const ubit_t * | bits_sacch,
|  | const ubit_t * | bits_status,
|  | const ubit_t * | ciph
| ) |  |

Stateless GMR-1 FACCH9 channel coder.

Parameters

  [out] | bits_e | 662 encoded bits of one NT9 burst
  [in] | l2 | L2 packet data (38 bytes, last nibble unused)
  [in] | bits_sacch | 10 saach bits to be multiplexed
  [in] | bits_status | 4 status bits to be multiplexed
  [in] | ciph | 658 bits of cipher stream (can be NULL)

References gmr1_crc16.